Package com.independentsoft.office.spreadsheet

# Class BackgroundImage

java.lang.Object
com.independentsoft.office.spreadsheet.BackgroundImage

public class BackgroundImage extends Object
The Class BackgroundImage.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackgroundImage()`
  Instantiates a new background image.
  `BackgroundImage​(InternalXMLStreamReader reader)`
  Instantiates a new background image.
  `BackgroundImage​(String filePath)`
  Instantiates a new background image.
  `BackgroundImage​(String fileName, byte[] buffer)`
  Instantiates a new background image.
  `BackgroundImage​(String fileName, InputStream inputStream)`
  Instantiates a new background image.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BackgroundImage`
  `clone()`
  `byte[]`
  `getBuffer()`
  Gets the buffer.
  `String`
  `getFileName()`
  Gets the file name.
  `InputStream`
  `getInputStream()`
  Gets the input stream.
  `void`
  `load​(String filePath)`
  Load.
  `void`
  `load​(String fileName, byte[] buffer)`
  Load.
  `void`
  `load​(String fileName, InputStream inputStream)`
  Load.
  `void`
  `save​(OutputStream outputStream)`
  Save.
  `void`
  `save​(String filePath)`
  Save.
  `void`
  `save​(String filePath, boolean overwrite)`
  Save.
  `void`
  `setBuffer​(byte[] buffer)`
  Sets the buffer.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BackgroundImage

    public BackgroundImage()
    Instantiates a new background image.

  - ### BackgroundImage

    public BackgroundImage​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new background image.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

  - ### BackgroundImage

    public BackgroundImage​(String filePath) throws IOException
    Instantiates a new background image.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### BackgroundImage

    public BackgroundImage​(String fileName, InputStream inputStream) throws IOException
    Instantiates a new background image.
    Parameters:
      `fileName` - the file name
      `inputStream` - the input stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### BackgroundImage

    public BackgroundImage​(String fileName, byte[] buffer)
    Instantiates a new background image.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

- ## Method Details

  - ### load

    public void load​(String filePath) throws IOException
    Load.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, InputStream inputStream) throws IOException
    Load.
    Parameters:
      `fileName` - the file name
      `inputStream` - the input stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, byte[] buffer)
    Load.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

  - ### save

    public void save​(String filePath) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save​(String filePath, boolean overwrite) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
      `overwrite` - the overwrite
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save​(OutputStream outputStream) throws IOException
    Save.
    Parameters:
      `outputStream` - the output stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### getInputStream

    public InputStream getInputStream()
    Gets the input stream.
    Returns:
      the input stream

  - ### clone

    public BackgroundImage clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFileName

    public String getFileName()
    Gets the file name.
    Returns:
      the file name

  - ### getBuffer

    public byte[] getBuffer()
    Gets the buffer.
    Returns:
      the buffer

  - ### setBuffer

    public void setBuffer​(byte[] buffer)
    Sets the buffer.
    Parameters:
      `buffer` - the new buffer